## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class AuthorizationIdentifierASALoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.AuthorizationIdentifierASALoader

Direct Known Subclasses:
  GroupASALoader

    public class AuthorizationIdentifierASALoader

extends java.lang.Object

Constructor Summary
`AuthorizationIdentifierASALoader(AuthorizationIdentifier catalogAuthId)`

Method Summary
`void` `loadAuthInfo()`
`void` `loadPrivilegs(org.eclipse.emf.common.util.EList privileges)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationIdentifierASALoader

    public AuthorizationIdentifierASALoader(AuthorizationIdentifier catalogAuthId)

Method Detail

### loadPrivilegs

    public final void loadPrivilegs(org.eclipse.emf.common.util.EList privileges)

### loadAuthInfo

    public final void loadAuthInfo()